SuperCollider CLASSES
UGens>Filters>Linear

# Resonz

Resonant filter.
Source: /Applications/SuperCollider.app/Contents/Resources/SCClassLibrary/Common/Audio/Filter.sc
Inherits from: Filter : PureUGen : UGen : AbstractFunction : Object
See also: Formlet, RHPF, RLPF, Ringz

## Description

This is the same as Ringz , except that it has a constant gain at 0 dB instead of being constant skirt.

It is a two pole resonant filter with zeroes at

    z = ±1

Based on K. Steiglitz, "A Note on Constant-Gain Digital Resonators", Computer Music Journal, vol 18, no. 4, pp. 8-10, Winter 1994.

## Class Methods

### *ar (in: 0, freq: 440, bwr: 1, mul: 1, add: 0)

### *kr (in: 0, freq: 440, bwr: 1, mul: 1, add: 0)

#### Arguments:

in | The input signal.
freq | Resonant frequency in Hertz. WARNING: due to the nature of its implementation frequency values close to 0 may cause glitches and/or extremely loud audio artifacts!
bwr | Bandwidth ratio (reciprocal of Q). rq = bandwidth / centerFreq. The reciprocal of Q is used rather than Q because it saves a divide operation inside the unit generator.
mul | Output will be multiplied by this value.
add | This value will be added to the output.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

    { Resonz.ar(WhiteNoise.ar(0.5), 2000, 0.1) }.play

    // modulate frequency
    { Resonz.ar(WhiteNoise.ar(0.5), XLine.kr(1000,8000,10), 0.05) }.play

    // modulate bandwidth
    { Resonz.ar(WhiteNoise.ar(0.5), 2000, XLine.kr(1, 0.001, 8)) }.play

    // modulate bandwidth opposite direction
    { Resonz.ar(WhiteNoise.ar(0.5), 2000, XLine.kr(0.001, 1, 8)) }.play

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/Resonz.schelp
link::Classes/Resonz::
sc version: 3.8.0